"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const ResultCtaButton_1 = tslib_1.__importDefault(require("../ResultCtaButton/ResultCtaButton"));
const context_1 = tslib_1.__importDefault(require("../CioQuiz/context"));
function ResultCard(props) {
    var _a, _b;
    const { result, salePriceKey, regularPriceKey, resultPosition } = props;
    const { customClickItemCallback, getQuizResultButtonProps, getQuizResultLinkProps } = (0, react_1.useContext)(context_1.default);
    const salePrice = salePriceKey && ((_a = result === null || result === void 0 ? void 0 : result.data) === null || _a === void 0 ? void 0 : _a[salePriceKey]);
    const regularPrice = regularPriceKey && ((_b = result === null || result === void 0 ? void 0 : result.data) === null || _b === void 0 ? void 0 : _b[regularPriceKey]);
    const resultCardContent = () => {
        var _a;
        return (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement("div", { className: 'cio-result-card-image' },
                react_1.default.createElement("img", { src: (_a = result.data) === null || _a === void 0 ? void 0 : _a.image_url, alt: 'product' })),
            react_1.default.createElement("div", { className: 'cio-result-card-text' },
                react_1.default.createElement("p", { className: 'cio-result-card-title' }, result.value),
                react_1.default.createElement("div", { className: 'cio-result-card-prices' },
                    salePrice && react_1.default.createElement("span", { className: 'cio-result-card-sale-price' },
                        "$",
                        salePrice),
                    regularPrice && (react_1.default.createElement("span", { className: `cio-result-card-regular-price${salePrice ? '--strike-through' : ''}` },
                        "$",
                        regularPrice))))));
    };
    const resultCardContentWithoutLink = () => getQuizResultButtonProps && (react_1.default.createElement("div", Object.assign({}, getQuizResultButtonProps({ result, position: resultPosition, type: 'button' })), resultCardContent()));
    const resultCardContentWithLink = () => getQuizResultLinkProps && (react_1.default.createElement("a", Object.assign({ className: 'cio-result-card-anchor' }, getQuizResultLinkProps({ result, position: resultPosition, type: 'link' })), resultCardContent()));
    return (react_1.default.createElement("div", { className: 'cio-result-card' },
        !customClickItemCallback ? resultCardContentWithLink() : resultCardContentWithoutLink(),
        react_1.default.createElement(ResultCtaButton_1.default, { item: result, price: salePrice || regularPrice })));
}
exports.default = ResultCard;
