"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const actions_1 = require("../../components/CioQuiz/actions");
const useQuizNextClick = (quizApiState, quizLocalState, dispatchLocalState) => {
    const quizNexClickHandler = (0, react_1.useCallback)(() => {
        var _a, _b;
        const currentQuestion = (_a = quizApiState.quizCurrentQuestion) === null || _a === void 0 ? void 0 : _a.next_question;
        const currentQuestionId = currentQuestion === null || currentQuestion === void 0 ? void 0 : currentQuestion.id;
        if (dispatchLocalState && currentQuestionId) {
            const currentAnswerInput = quizLocalState.answerInputs[currentQuestionId];
            if (((_b = currentAnswerInput === null || currentAnswerInput === void 0 ? void 0 : currentAnswerInput.value) === null || _b === void 0 ? void 0 : _b.length) || (currentQuestion === null || currentQuestion === void 0 ? void 0 : currentQuestion.type) === 'cover') {
                dispatchLocalState({
                    type: actions_1.QuestionTypes.Next,
                    payload: quizApiState.quizCurrentQuestion,
                });
            }
        }
    }, [dispatchLocalState, quizApiState.quizCurrentQuestion, quizLocalState.answerInputs]);
    return quizNexClickHandler;
};
exports.default = useQuizNextClick;
