"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = require("react");
const quizLocalReducer_1 = tslib_1.__importStar(require("../../components/CioQuiz/quizLocalReducer"));
const constants_1 = require("../../constants");
const utils_1 = require("../../utils");
const useQuizLocalState = (sessionStateKey) => {
    const [quizLocalState, dispatch] = (0, react_1.useReducer)(quizLocalReducer_1.default, quizLocalReducer_1.initialState);
    const quizStateKey = sessionStateKey || constants_1.quizSessionStateKey;
    (0, react_1.useEffect)(() => {
        var _a, _b;
        // don't save state if initial state
        if ((_a = quizLocalState === null || quizLocalState === void 0 ? void 0 : quizLocalState.answers) === null || _a === void 0 ? void 0 : _a.length) {
            (_b = window === null || window === void 0 ? void 0 : window.sessionStorage) === null || _b === void 0 ? void 0 : _b.setItem(quizStateKey, JSON.stringify(quizLocalState));
        }
    }, [quizLocalState, quizStateKey]);
    const hasQuizStoredState = () => (0, utils_1.getStateFromSessionStorage)(quizStateKey) !== null;
    const dispatchLocalState = (0, react_1.useCallback)((action) => {
        (0, utils_1.logger)(action);
        dispatch(action);
    }, []);
    return {
        quizLocalState,
        hasQuizStoredState,
        dispatchLocalState,
        quizStateKey,
    };
};
exports.default = useQuizLocalState;
