import { useCallback } from 'react';
export default function usePreviousQuestionButtonProps(quizApiState, previousQuestion) {
    const getPreviousQuestionButtonProps = useCallback(() => {
        const buttonDisabled = quizApiState.quizCurrentQuestion?.isFirstQuestion;
        return {
            title: 'Quiz Back Button',
            role: 'button',
            className: `cio-question-back-button ${buttonDisabled ? 'disabled' : ''}`,
            type: 'button',
            onClick: () => previousQuestion(),
        };
    }, [quizApiState, previousQuestion]);
    return getPreviousQuestionButtonProps;
}
