import { useCallback } from 'react';
import { QuestionTypes } from '../../components/CioQuiz/actions';
import { getStateFromSessionStorage } from '../../utils';
const useHydrateQuizLocalState = (quizStateKey, dispatchLocalState) => {
    const quizState = getStateFromSessionStorage(quizStateKey);
    const hydrateQuizLocalStateHandler = useCallback(() => {
        if (quizState) {
            dispatchLocalState({
                type: QuestionTypes.Hydrate,
                payload: quizState,
            });
        }
    }, [dispatchLocalState, quizState]);
    return hydrateQuizLocalStateHandler;
};
export default useHydrateQuizLocalState;
