import { useCallback } from 'react';
import { QuestionTypes, QuizAPIActionTypes, } from '../../components/CioQuiz/actions';
import { resetQuizSessionStorageState } from '../../utils';
const useQuizResetClick = (quizStateKey, dispatchLocalState, dispatchApiState, quizResults) => {
    const quizResetClickHandler = useCallback(() => {
        if (quizResults) {
            dispatchLocalState({
                type: QuestionTypes.Reset,
            });
            dispatchApiState({
                type: QuizAPIActionTypes.RESET_QUIZ,
            });
            resetQuizSessionStorageState(quizStateKey);
        }
    }, [dispatchLocalState, dispatchApiState, quizStateKey, quizResults]);
    return quizResetClickHandler;
};
export default useQuizResetClick;
